GDB (xrefs)

Public Attributes | List of all members
nto_thread_info Struct Reference

`#include "nto-tdep.h"`

Inheritance diagram for nto_thread_info:

## Public Attributes
short | tid = 0
unsigned char | state = 0
unsigned char | flags = 0
std::string | name

## Additional Inherited Members
Public Member Functions inherited from private_thread_info
virtual | ~private_thread_info ()=0

## Detailed Description

Definition at line 137 of file nto-tdep.h.

## Member Data Documentation

## ◆ flags

unsigned char nto_thread_info::flags = 0

Definition at line 141 of file nto-tdep.h.

Referenced by update_thread_private_data().

## ◆ name

std::string nto_thread_info::name

Definition at line 142 of file nto-tdep.h.

Referenced by update_thread_private_data_name().

## ◆ state

unsigned char nto_thread_info::state = 0

Definition at line 140 of file nto-tdep.h.

Referenced by nto_extra_thread_info(), and update_thread_private_data().

## ◆ tid

short nto_thread_info::tid = 0

Definition at line 139 of file nto-tdep.h.

Referenced by update_thread_private_data().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nto-tdep.h